Description

Hello,

it could be very interesting to add some dynamic features to QGis forms.

I'd like to add nested controls (or cascading controls) in which the values shown on a control (a QComboBox for example) is filtered by a

parameter which value is controlled in another control.

For example, imagine a layer with two "value relation" controls. The first one lists all the continents (taken from a continent dedicated

table), the second one lists all the countries (taken from a country dedicated table).

I want to restrict the list of countries according to the value chosen in the continent control.

You can have more than two level nested controls. For example, you can select a country which narrows the list of cities which narrows

the list of roads, etc.

It should be linked to "value relation" controls to keep the benefits of dynamic lists creation.

On an end-user point of view, it could take the form of a modified "value relation" parameters dialog with a new set of controls to choose

the "parent" field and the common id attribute shared between "parent" and "children" fields.

History

#1 - 2014-09-24 08:38 AM - Matthias Kuhn

Would you be able to create some mockups for the configuration dialog and the form widget?

FYI: It is also possible to create such widgets with python code as a plugin.

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

#4 - 2019-01-31 09:07 AM - Hugo Mercier

- Status changed from Open to Closed

- Description updated

I think it has been introduced in 3.2 https://www.qgis.org/fr/site/forusers/visualchangelog32/index.html#feature-drill-down-cascading-forms

Please reopen if I'm wrong.
